import SAMBA 3.8
import SAMBA.Connection.Serial 3.8
import SAMBA.Device.SAMA7G5 3.8

SerialConnection {

	device: SAMA7G5EK {
		config {
			sdmmc {
				instance: 0
				ioset: 1
				partition: 0
				busWidth: 8
				voltages: 4
			}
		}
	}

	onConnectionOpened: {


		// initialize SD/MMC applet for on-board eMMC
		print("-I- === Initialize eMMC access ===")
		initializeApplet("sdmmc")

		print("-I- === Load rootfs on eMMC ===")
		applet.write(0, "microchip-headless-image-sama7g5ek-emmc.img", false, false)

		print("-I- === eMMC image write done. Please use proper SAM-BA commands to select eMMC as booting media! ===")

		print("-I- === Done. ===")
	}
}
